# pymode:lint_ignore=W0401
"""
Test settings based on :py:mod:`gvaldap.settings.base`.

"""
from __future__ import absolute_import

# use import * to import all settings from base
from .base import *  # NOQA

########## IN-MEMORY TEST DATABASE
DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.sqlite3",
        "NAME": ":memory:",
        "USER": "",
        "PASSWORD": "",
        "HOST": "",
        "PORT": "",
    },
}
LOGGING['handlers'].update({
    'console': {
        'level': 'ERROR',
        'class': 'logging.StreamHandler',
        'formatter': 'simple',
    }
})
LOGGING['loggers'].update(dict(
    [(key, {'handlers': ['console'], 'level': 'ERROR', 'propagate': True, })
        for key in [
            'dashboard', 'domains', 'fileservertasks', 'gvacommon',
            'gvawebcore', 'hostingpackages', 'ldaptasks', 'managemails',
            'mysqltasks', 'osusers', 'pgsqltasks', 'taskresults',
            'userdbs', 'websites']]))
BROKER_URL = BROKER_URL + '_test'
CELERY_RESULT_PERSISTENT = False
